#include "PreguntaSeleccionUnica.h"

PreguntaSeleccionUnica::PreguntaSeleccionUnica()
	: Pregunta("seleccion_unica")
{
}

std::istream& PreguntaSeleccionUnica::leer(std::istream& in)
{
	Pregunta::leer(in);

	const size_t bufferSize = 2048;
	char buffer[bufferSize];

	opciones.clear();
	for ( size_t i = 0; i < 4; ++i )
	{
		in.getline(buffer, bufferSize);
		opciones.push_back(buffer);
	}

	in.ignore();
	return in;
}

std::ostream& PreguntaSeleccionUnica::imprimir(std::ostream& out) const
{
	Pregunta::imprimir(out);
	for ( size_t i = 0; i < opciones.size(); ++i )
		out << '\t' << i + 1 << ": " << opciones[i] << std::endl;
	return out;
}
